# Create a Dataset

## Creates a new dataset.

<mark style="color:green;">`POST`</mark> `https://api.autogon.ai/api/v1/engine/dataset/`

#### Request Body

| Name                                                   | Type   | Description                                                                      |
| ------------------------------------------------------ | ------ | -------------------------------------------------------------------------------- |
| dataset\_name<mark style="color:red;">\*</mark>        | string | name of dataset                                                                  |
| cover\_image<mark style="color:red;">\*</mark>         | String | cover image of the dataset                                                       |
| dataset\_url<mark style="color:red;">\*</mark>         | String | URL to the dataset (if it is a file. use the upload endpoint to generate a link) |
| dataset\_description<mark style="color:red;">\*</mark> | String | Short description of the dataset                                                 |
| dataset\_type<mark style="color:red;">\*</mark>        | String | if it is a file. use the upload endpoint to get the file type                    |
| dataset\_size<mark style="color:red;">\*</mark>        | String | if it is a file. use the upload endpoint to get the file size                    |

{% tabs %}
{% tab title="200 Dataset successfully uploaded " %}

```javascript
{
    "id": 1,
    "app_id": "",
    "project_name": "",
    "project_description": "",
    "project_compiled_models": null,
    "created_at": ""
}
```

{% endtab %}

{% tab title="401 Dataset already exists" %}

```
{
    "status": "false",
    "message": "This project name already exists"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autogon.ai/other-apis/dataset/create-a-dataset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
